curl --request POST \
--url https://api.example.com/api/v1/burn-in/test-executions/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"job": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cohort": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"device_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"parent_cohort": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_device": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dest_device": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resolved_params": {},
"metrics": {},
"iteration_summary": {
"requested": 123,
"completed": 123,
"failed": 123,
"completed_iterations": [
123
]
},
"error_details": {
"message": "<string>",
"debug_bundle_s3_uri": "<string>",
"slurm_job_id": 1073741823
},
"nic_metrics": "<unknown>",
"artifact_uri": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"slurm_job_id": 1073741823
}
]
'import requests
url = "https://api.example.com/api/v1/burn-in/test-executions/"
payload = [
{
"job": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cohort": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"device_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"parent_cohort": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_device": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dest_device": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resolved_params": {},
"metrics": {},
"iteration_summary": {
"requested": 123,
"completed": 123,
"failed": 123,
"completed_iterations": [123]
},
"error_details": {
"message": "<string>",
"debug_bundle_s3_uri": "<string>",
"slurm_job_id": 1073741823
},
"nic_metrics": "<unknown>",
"artifact_uri": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"slurm_job_id": 1073741823
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
job: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
cohort: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
device_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
parent_cohort: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
source_device: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
dest_device: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
resolved_params: {},
metrics: {},
iteration_summary: {requested: 123, completed: 123, failed: 123, completed_iterations: [123]},
error_details: {message: '<string>', debug_bundle_s3_uri: '<string>', slurm_job_id: 1073741823},
nic_metrics: '<unknown>',
artifact_uri: '<string>',
started_at: '2023-11-07T05:31:56Z',
completed_at: '2023-11-07T05:31:56Z',
slurm_job_id: 1073741823
}
])
};
fetch('https://api.example.com/api/v1/burn-in/test-executions/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/burn-in/test-executions/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
[
'job' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'cohort' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'device_ids' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'parent_cohort' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'source_device' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'dest_device' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'resolved_params' => [
],
'metrics' => [
],
'iteration_summary' => [
'requested' => 123,
'completed' => 123,
'failed' => 123,
'completed_iterations' => [
123
]
],
'error_details' => [
'message' => '<string>',
'debug_bundle_s3_uri' => '<string>',
'slurm_job_id' => 1073741823
],
'nic_metrics' => '<unknown>',
'artifact_uri' => '<string>',
'started_at' => '2023-11-07T05:31:56Z',
'completed_at' => '2023-11-07T05:31:56Z',
'slurm_job_id' => 1073741823
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/burn-in/test-executions/"
payload := strings.NewReader("[\n {\n \"job\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"cohort\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"device_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"parent_cohort\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"source_device\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"dest_device\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"resolved_params\": {},\n \"metrics\": {},\n \"iteration_summary\": {\n \"requested\": 123,\n \"completed\": 123,\n \"failed\": 123,\n \"completed_iterations\": [\n 123\n ]\n },\n \"error_details\": {\n \"message\": \"<string>\",\n \"debug_bundle_s3_uri\": \"<string>\",\n \"slurm_job_id\": 1073741823\n },\n \"nic_metrics\": \"<unknown>\",\n \"artifact_uri\": \"<string>\",\n \"started_at\": \"2023-11-07T05:31:56Z\",\n \"completed_at\": \"2023-11-07T05:31:56Z\",\n \"slurm_job_id\": 1073741823\n }\n]")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/v1/burn-in/test-executions/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("[\n {\n \"job\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"cohort\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"device_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"parent_cohort\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"source_device\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"dest_device\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"resolved_params\": {},\n \"metrics\": {},\n \"iteration_summary\": {\n \"requested\": 123,\n \"completed\": 123,\n \"failed\": 123,\n \"completed_iterations\": [\n 123\n ]\n },\n \"error_details\": {\n \"message\": \"<string>\",\n \"debug_bundle_s3_uri\": \"<string>\",\n \"slurm_job_id\": 1073741823\n },\n \"nic_metrics\": \"<unknown>\",\n \"artifact_uri\": \"<string>\",\n \"started_at\": \"2023-11-07T05:31:56Z\",\n \"completed_at\": \"2023-11-07T05:31:56Z\",\n \"slurm_job_id\": 1073741823\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/burn-in/test-executions/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"job\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"cohort\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"device_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"parent_cohort\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"source_device\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"dest_device\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"resolved_params\": {},\n \"metrics\": {},\n \"iteration_summary\": {\n \"requested\": 123,\n \"completed\": 123,\n \"failed\": 123,\n \"completed_iterations\": [\n 123\n ]\n },\n \"error_details\": {\n \"message\": \"<string>\",\n \"debug_bundle_s3_uri\": \"<string>\",\n \"slurm_job_id\": 1073741823\n },\n \"nic_metrics\": \"<unknown>\",\n \"artifact_uri\": \"<string>\",\n \"started_at\": \"2023-11-07T05:31:56Z\",\n \"completed_at\": \"2023-11-07T05:31:56Z\",\n \"slurm_job_id\": 1073741823\n }\n]"
response = http.request(request)
puts response.read_body{
"count": 123,
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"job": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"test_slug": "multi-node.hello-world",
"stage": "single_node",
"status": "completed",
"execution_mode": "qualifying",
"freshness": "current",
"metrics": [
{
"name": "<string>",
"value": 123,
"unit": "<string>",
"evaluation": {
"passed": true,
"threshold": 123,
"comparator": "gt"
},
"statistics": {
"mean": {
"value": 123,
"evaluation": {
"passed": true,
"threshold": 123,
"comparator": "gt"
}
},
"min": {
"value": 123,
"evaluation": {
"passed": true,
"threshold": 123,
"comparator": "gt"
}
},
"max": {
"value": 123,
"evaluation": {
"passed": true,
"threshold": 123,
"comparator": "gt"
}
},
"median": {
"value": 123,
"evaluation": {
"passed": true,
"threshold": 123,
"comparator": "gt"
}
},
"stdev": {
"value": 123,
"evaluation": {
"passed": true,
"threshold": 123,
"comparator": "gt"
}
}
},
"detail": "<string>",
"reason": "<string>"
}
],
"marked_stale_at": "2023-11-07T05:31:56Z",
"active_stale_holds": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source": "manual",
"operation_slug": "<string>",
"operation_label": "<string>",
"note": "<string>",
"created_by_display_name": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"links": {
"self": "<string>",
"collection": "<string>",
"job": "<string>",
"cohort": "<string>"
},
"job_name": "<string>",
"cohort_device_names": [
"<string>"
],
"cohort_hostlist": "<string>",
"cohort_size": 123,
"evaluation": {
"passed": true,
"reason": "<string>"
},
"device_diagnostics": [
{
"device_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"device_name": "<string>",
"failure_code": "UNMAPPED_APPLICATION_ERROR",
"failure_message": "<string>",
"ai_diagnosis": {
"headline": "<string>",
"explanation": "<string>"
}
}
],
"cohort": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resolved_params": {},
"iteration_summary": {
"requested": 123,
"completed": 123,
"failed": 123,
"completed_iterations": [
123
]
},
"error_details": {
"message": "<string>",
"debug_bundle_s3_uri": "<string>",
"slurm_job_id": 1073741823
},
"nic_metrics": "<unknown>",
"artifact_uri": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"slurm_job_id": 1073741823
}
],
"next": "http://api.example.org/accounts/?page=4",
"previous": "http://api.example.org/accounts/?page=2"
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}Create test execution
Bulk create test executions with idempotent semantics on (cohort, test_slug, resolved_params). Accepts a list of test execution objects. If a test execution with the same key already exists, it is returned unchanged instead of creating a duplicate.
curl --request POST \
--url https://api.example.com/api/v1/burn-in/test-executions/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"job": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cohort": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"device_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"parent_cohort": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_device": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dest_device": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resolved_params": {},
"metrics": {},
"iteration_summary": {
"requested": 123,
"completed": 123,
"failed": 123,
"completed_iterations": [
123
]
},
"error_details": {
"message": "<string>",
"debug_bundle_s3_uri": "<string>",
"slurm_job_id": 1073741823
},
"nic_metrics": "<unknown>",
"artifact_uri": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"slurm_job_id": 1073741823
}
]
'import requests
url = "https://api.example.com/api/v1/burn-in/test-executions/"
payload = [
{
"job": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cohort": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"device_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"parent_cohort": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_device": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dest_device": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resolved_params": {},
"metrics": {},
"iteration_summary": {
"requested": 123,
"completed": 123,
"failed": 123,
"completed_iterations": [123]
},
"error_details": {
"message": "<string>",
"debug_bundle_s3_uri": "<string>",
"slurm_job_id": 1073741823
},
"nic_metrics": "<unknown>",
"artifact_uri": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"slurm_job_id": 1073741823
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
job: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
cohort: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
device_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
parent_cohort: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
source_device: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
dest_device: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
resolved_params: {},
metrics: {},
iteration_summary: {requested: 123, completed: 123, failed: 123, completed_iterations: [123]},
error_details: {message: '<string>', debug_bundle_s3_uri: '<string>', slurm_job_id: 1073741823},
nic_metrics: '<unknown>',
artifact_uri: '<string>',
started_at: '2023-11-07T05:31:56Z',
completed_at: '2023-11-07T05:31:56Z',
slurm_job_id: 1073741823
}
])
};
fetch('https://api.example.com/api/v1/burn-in/test-executions/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/burn-in/test-executions/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
[
'job' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'cohort' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'device_ids' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'parent_cohort' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'source_device' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'dest_device' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'resolved_params' => [
],
'metrics' => [
],
'iteration_summary' => [
'requested' => 123,
'completed' => 123,
'failed' => 123,
'completed_iterations' => [
123
]
],
'error_details' => [
'message' => '<string>',
'debug_bundle_s3_uri' => '<string>',
'slurm_job_id' => 1073741823
],
'nic_metrics' => '<unknown>',
'artifact_uri' => '<string>',
'started_at' => '2023-11-07T05:31:56Z',
'completed_at' => '2023-11-07T05:31:56Z',
'slurm_job_id' => 1073741823
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/burn-in/test-executions/"
payload := strings.NewReader("[\n {\n \"job\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"cohort\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"device_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"parent_cohort\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"source_device\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"dest_device\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"resolved_params\": {},\n \"metrics\": {},\n \"iteration_summary\": {\n \"requested\": 123,\n \"completed\": 123,\n \"failed\": 123,\n \"completed_iterations\": [\n 123\n ]\n },\n \"error_details\": {\n \"message\": \"<string>\",\n \"debug_bundle_s3_uri\": \"<string>\",\n \"slurm_job_id\": 1073741823\n },\n \"nic_metrics\": \"<unknown>\",\n \"artifact_uri\": \"<string>\",\n \"started_at\": \"2023-11-07T05:31:56Z\",\n \"completed_at\": \"2023-11-07T05:31:56Z\",\n \"slurm_job_id\": 1073741823\n }\n]")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/v1/burn-in/test-executions/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("[\n {\n \"job\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"cohort\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"device_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"parent_cohort\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"source_device\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"dest_device\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"resolved_params\": {},\n \"metrics\": {},\n \"iteration_summary\": {\n \"requested\": 123,\n \"completed\": 123,\n \"failed\": 123,\n \"completed_iterations\": [\n 123\n ]\n },\n \"error_details\": {\n \"message\": \"<string>\",\n \"debug_bundle_s3_uri\": \"<string>\",\n \"slurm_job_id\": 1073741823\n },\n \"nic_metrics\": \"<unknown>\",\n \"artifact_uri\": \"<string>\",\n \"started_at\": \"2023-11-07T05:31:56Z\",\n \"completed_at\": \"2023-11-07T05:31:56Z\",\n \"slurm_job_id\": 1073741823\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/burn-in/test-executions/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"job\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"cohort\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"device_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"parent_cohort\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"source_device\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"dest_device\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"resolved_params\": {},\n \"metrics\": {},\n \"iteration_summary\": {\n \"requested\": 123,\n \"completed\": 123,\n \"failed\": 123,\n \"completed_iterations\": [\n 123\n ]\n },\n \"error_details\": {\n \"message\": \"<string>\",\n \"debug_bundle_s3_uri\": \"<string>\",\n \"slurm_job_id\": 1073741823\n },\n \"nic_metrics\": \"<unknown>\",\n \"artifact_uri\": \"<string>\",\n \"started_at\": \"2023-11-07T05:31:56Z\",\n \"completed_at\": \"2023-11-07T05:31:56Z\",\n \"slurm_job_id\": 1073741823\n }\n]"
response = http.request(request)
puts response.read_body{
"count": 123,
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"job": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"test_slug": "multi-node.hello-world",
"stage": "single_node",
"status": "completed",
"execution_mode": "qualifying",
"freshness": "current",
"metrics": [
{
"name": "<string>",
"value": 123,
"unit": "<string>",
"evaluation": {
"passed": true,
"threshold": 123,
"comparator": "gt"
},
"statistics": {
"mean": {
"value": 123,
"evaluation": {
"passed": true,
"threshold": 123,
"comparator": "gt"
}
},
"min": {
"value": 123,
"evaluation": {
"passed": true,
"threshold": 123,
"comparator": "gt"
}
},
"max": {
"value": 123,
"evaluation": {
"passed": true,
"threshold": 123,
"comparator": "gt"
}
},
"median": {
"value": 123,
"evaluation": {
"passed": true,
"threshold": 123,
"comparator": "gt"
}
},
"stdev": {
"value": 123,
"evaluation": {
"passed": true,
"threshold": 123,
"comparator": "gt"
}
}
},
"detail": "<string>",
"reason": "<string>"
}
],
"marked_stale_at": "2023-11-07T05:31:56Z",
"active_stale_holds": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source": "manual",
"operation_slug": "<string>",
"operation_label": "<string>",
"note": "<string>",
"created_by_display_name": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"links": {
"self": "<string>",
"collection": "<string>",
"job": "<string>",
"cohort": "<string>"
},
"job_name": "<string>",
"cohort_device_names": [
"<string>"
],
"cohort_hostlist": "<string>",
"cohort_size": 123,
"evaluation": {
"passed": true,
"reason": "<string>"
},
"device_diagnostics": [
{
"device_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"device_name": "<string>",
"failure_code": "UNMAPPED_APPLICATION_ERROR",
"failure_message": "<string>",
"ai_diagnosis": {
"headline": "<string>",
"explanation": "<string>"
}
}
],
"cohort": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resolved_params": {},
"iteration_summary": {
"requested": 123,
"completed": 123,
"failed": 123,
"completed_iterations": [
123
]
},
"error_details": {
"message": "<string>",
"debug_bundle_s3_uri": "<string>",
"slurm_job_id": 1073741823
},
"nic_metrics": "<unknown>",
"artifact_uri": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"slurm_job_id": 1073741823
}
],
"next": "http://api.example.org/accounts/?page=4",
"previous": "http://api.example.org/accounts/?page=2"
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
Denormalized from cohort for efficient job-level queries
multi-node.hello-world- multi-node.hello-worldmulti-node.iperf-matrix- multi-node.iperf-matrixmulti-node.nccl-all-gather- multi-node.nccl-all-gathermulti-node.nccl-all-reduce- multi-node.nccl-all-reducemulti-node.nccl-all-reduce-multi-rack- multi-node.nccl-all-reduce-multi-rackmulti-node.nccl-all-to-all- multi-node.nccl-all-to-allmulti-node.nvloom- multi-node.nvloommulti-node.pairwise-net-gpu.bw- multi-node.pairwise-net-gpu.bwmulti-node.pairwise-net-gpu.lat- multi-node.pairwise-net-gpu.latmulti-node.pairwise-net.bw- multi-node.pairwise-net.bwmulti-node.pairwise-net.lat- multi-node.pairwise-net.latmulti-node.s3-elbencho- multi-node.s3-elbenchomulti-node.storage-elbencho- multi-node.storage-elbenchomulti-node.training-gpt-oss-120b- multi-node.training-gpt-oss-120bmulti-node.training-llama3-1-405b- multi-node.training-llama3-1-405bmulti-node.training-llama3-70b- multi-node.training-llama3-70bmulti-node.training-nemotron-24x2h- multi-node.training-nemotron-24x2hmulti-node.training-nemotron-checkpoint- multi-node.training-nemotron-checkpointmulti-node.training-nemotron-h- multi-node.training-nemotron-hmulti-node.training-nemotron-h-multi-rack- multi-node.training-nemotron-h-multi-rackmulti-node.training-qwen3-235b- multi-node.training-qwen3-235bsingle-node.babelstream- single-node.babelstreamsingle-node.dcgmi-diag- single-node.dcgmi-diagsingle-node.gpu-fryer- single-node.gpu-fryersingle-node.hello-world- single-node.hello-worldsingle-node.hpl-cpu- single-node.hpl-cpusingle-node.hpl-gpu- single-node.hpl-gpusingle-node.lmbench-lat-mem-rd- single-node.lmbench-lat-mem-rdsingle-node.memtester- single-node.memtestersingle-node.nccl-all-gather- single-node.nccl-all-gathersingle-node.nccl-all-reduce- single-node.nccl-all-reducesingle-node.nccl-all-reduce-loopback- single-node.nccl-all-reduce-loopbacksingle-node.nccl-all-to-all- single-node.nccl-all-to-allsingle-node.node-health-check- single-node.node-health-checksingle-node.nvme-fio- single-node.nvme-fiosingle-node.nvme-self-test- single-node.nvme-self-testsingle-node.storage-elbencho- single-node.storage-elbenchosingle-node.stream- single-node.streamsingle-node.stress-ng-cpu- single-node.stress-ng-cpusingle-node.training-llama3-8b- single-node.training-llama3-8bsingle-node.training-nemotronh-8b- single-node.training-nemotronh-8b
multi-node.hello-world, multi-node.iperf-matrix, multi-node.nccl-all-gather, multi-node.nccl-all-reduce, multi-node.nccl-all-reduce-multi-rack, multi-node.nccl-all-to-all, multi-node.nvloom, multi-node.pairwise-net-gpu.bw, multi-node.pairwise-net-gpu.lat, multi-node.pairwise-net.bw, multi-node.pairwise-net.lat, multi-node.s3-elbencho, multi-node.storage-elbencho, multi-node.training-gpt-oss-120b, multi-node.training-llama3-1-405b, multi-node.training-llama3-70b, multi-node.training-nemotron-24x2h, multi-node.training-nemotron-checkpoint, multi-node.training-nemotron-h, multi-node.training-nemotron-h-multi-rack, multi-node.training-qwen3-235b, single-node.babelstream, single-node.dcgmi-diag, single-node.gpu-fryer, single-node.hello-world, single-node.hpl-cpu, single-node.hpl-gpu, single-node.lmbench-lat-mem-rd, single-node.memtester, single-node.nccl-all-gather, single-node.nccl-all-reduce, single-node.nccl-all-reduce-loopback, single-node.nccl-all-to-all, single-node.node-health-check, single-node.nvme-fio, single-node.nvme-self-test, single-node.storage-elbencho, single-node.stream, single-node.stress-ng-cpu, single-node.training-llama3-8b, single-node.training-nemotronh-8b Test stage (denormalized from test_slug for efficient filtering)
single_node- Single Nodepairwise- Pairwisecollective- Collective
single_node, pairwise, collective Test execution status (must be set explicitly - no default)
completed- Completedpassed- Passedfailed- Failederror- Error
completed, passed, failed, error Cohort UUID. Either cohort or device_ids must be provided.
List of device UUIDs. If provided instead of cohort, will automatically create/retrieve cohort (max 25000).
25000Optional parent cohort for hierarchical tracking (used with device_ids).
Source device for pairwise tests (used when creating cohort with device_ids)
Destination device for pairwise tests (used when creating cohort with device_ids)
Resolved test parameters that actually ran. The resolved params key is derived server-side from this JSON.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
OpenAPI schema for iteration execution summary.
Show child attributes
Show child attributes
Structured error information for infrastructure failures (status=ERROR)
Show child attributes
Show child attributes
Per-NIC metrics for pairwise tests (list of per-NIC result dicts)
S3 URI to test artifacts (e.g., 's3://bucket/org/site/job/cohort/')
1000SLURM job ID for hardware test execution (burn-in workflows only)
0 <= x <= 2147483647